<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>PeriodicReloadingTrigger (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PeriodicReloadingTrigger (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PeriodicReloadingTrigger.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ManagedReloadingDetectorMBean.html" title="interface in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html" target="_top">Frames</a></li>
<li><a href="PeriodicReloadingTrigger.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.reloading</div>
<h2 title="Class PeriodicReloadingTrigger" class="title">Class PeriodicReloadingTrigger</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.reloading.PeriodicReloadingTrigger</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PeriodicReloadingTrigger</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>
 A timer-based trigger for reloading checks.
 </p>
 <p>
 An instance of this class is constructed with a reference to a
 <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading"><code>ReloadingController</code></a> and a period. After calling the <code>start()</code>
 method a periodic task is started which calls
 <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#checkForReloading-java.lang.Object-"><code>ReloadingController.checkForReloading(Object)</code></a> on the associated
 reloading controller. This way changes on a configuration source can be
 detected without client code having to poll actively. The
 <code>ReloadingController</code> will perform its checks and generates events if
 it detects the need for a reloading operation.
 </p>
 <p>
 Triggering of the controller can be disabled by calling the <code>stop()</code>
 method and later be resumed by calling <code>start()</code> again. When the
 trigger is no more needed its <code>shutdown()</code> method should be called.
 </p>
 <p>
 When creating an instance a <code>ScheduledExecutorService</code> can be provided
 which is then used by the object. Otherwise, a default executor service is
 created and used. When shutting down this object it can be specified whether
 the <code>ScheduledExecutorService</code> should be shut down, too.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: PeriodicReloadingTrigger.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading"><code>ReloadingController</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html#PeriodicReloadingTrigger-org.apache.commons.configuration2.reloading.ReloadingController-java.lang.Object-long-java.util.concurrent.TimeUnit-">PeriodicReloadingTrigger</a></span>(<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a>&nbsp;ctrl,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;ctrlParam,
                        long&nbsp;triggerPeriod,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</a>&nbsp;unit)</code>
<div class="block">Creates a new instance of <code>PeriodicReloadingTrigger</code> with a default
 executor service.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html#PeriodicReloadingTrigger-org.apache.commons.configuration2.reloading.ReloadingController-java.lang.Object-long-java.util.concurrent.TimeUnit-java.util.concurrent.ScheduledExecutorService-">PeriodicReloadingTrigger</a></span>(<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a>&nbsp;ctrl,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;ctrlParam,
                        long&nbsp;triggerPeriod,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</a>&nbsp;unit,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/util/concurrent/ScheduledExecutorService.html?is-external=true" title="class or interface in java.util.concurrent">ScheduledExecutorService</a>&nbsp;exec)</code>
<div class="block">Creates a new instance of <code>PeriodicReloadingTrigger</code> and sets all
 parameters.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html#isRunning--">isRunning</a></span>()</code>
<div class="block">Returns a flag whether this trigger is currently active.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html#shutdown--">shutdown</a></span>()</code>
<div class="block">Shuts down this trigger and its <code>ScheduledExecutorService</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html#shutdown-boolean-">shutdown</a></span>(boolean&nbsp;shutdownExecutor)</code>
<div class="block">Shuts down this trigger and optionally shuts down the
 <code>ScheduledExecutorService</code> used by this object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html#start--">start</a></span>()</code>
<div class="block">Starts this trigger.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html#stop--">stop</a></span>()</code>
<div class="block">Stops this trigger.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PeriodicReloadingTrigger-org.apache.commons.configuration2.reloading.ReloadingController-java.lang.Object-long-java.util.concurrent.TimeUnit-java.util.concurrent.ScheduledExecutorService-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PeriodicReloadingTrigger</h4>
<pre>public&nbsp;PeriodicReloadingTrigger(<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a>&nbsp;ctrl,
                                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;ctrlParam,
                                long&nbsp;triggerPeriod,
                                <a href="http://docs.oracle.com/javase/7/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</a>&nbsp;unit,
                                <a href="http://docs.oracle.com/javase/7/docs/api/java/util/concurrent/ScheduledExecutorService.html?is-external=true" title="class or interface in java.util.concurrent">ScheduledExecutorService</a>&nbsp;exec)</pre>
<div class="block">Creates a new instance of <code>PeriodicReloadingTrigger</code> and sets all
 parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctrl</code> - the <code>ReloadingController</code> (must not be <b>null</b>)</dd>
<dd><code>ctrlParam</code> - the optional parameter to be passed to the controller
        when doing reloading checks</dd>
<dd><code>triggerPeriod</code> - the period in which the controller is triggered</dd>
<dd><code>unit</code> - the time unit for the period</dd>
<dd><code>exec</code> - the executor service to use (can be <b>null</b>, then a
        default executor service is created</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if a required argument is missing</dd>
</dl>
</li>
</ul>
<a name="PeriodicReloadingTrigger-org.apache.commons.configuration2.reloading.ReloadingController-java.lang.Object-long-java.util.concurrent.TimeUnit-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PeriodicReloadingTrigger</h4>
<pre>public&nbsp;PeriodicReloadingTrigger(<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a>&nbsp;ctrl,
                                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;ctrlParam,
                                long&nbsp;triggerPeriod,
                                <a href="http://docs.oracle.com/javase/7/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</a>&nbsp;unit)</pre>
<div class="block">Creates a new instance of <code>PeriodicReloadingTrigger</code> with a default
 executor service.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctrl</code> - the <code>ReloadingController</code> (must not be <b>null</b>)</dd>
<dd><code>ctrlParam</code> - the optional parameter to be passed to the controller
        when doing reloading checks</dd>
<dd><code>triggerPeriod</code> - the period in which the controller is triggered</dd>
<dd><code>unit</code> - the time unit for the period</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if a required argument is missing</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="start--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>public&nbsp;void&nbsp;start()</pre>
<div class="block">Starts this trigger. The associated <code>ReloadingController</code> will be
 triggered according to the specified period. The first triggering happens
 after a period. If this trigger is already started, this invocation has
 no effect.</div>
</li>
</ul>
<a name="stop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre>public&nbsp;void&nbsp;stop()</pre>
<div class="block">Stops this trigger. The associated <code>ReloadingController</code> is no more
 triggered. If this trigger is already stopped, this invocation has no
 effect.</div>
</li>
</ul>
<a name="isRunning--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunning</h4>
<pre>public&nbsp;boolean&nbsp;isRunning()</pre>
<div class="block">Returns a flag whether this trigger is currently active.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether this trigger is running</dd>
</dl>
</li>
</ul>
<a name="shutdown-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shutdown</h4>
<pre>public&nbsp;void&nbsp;shutdown(boolean&nbsp;shutdownExecutor)</pre>
<div class="block">Shuts down this trigger and optionally shuts down the
 <code>ScheduledExecutorService</code> used by this object. This method should
 be called if this trigger is no more needed. It ensures that the trigger
 is stopped. If the parameter is <b>true</b>, the executor service is also
 shut down. This should be done if this trigger is the only user of this
 executor service.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>shutdownExecutor</code> - a flag whether the associated
        <code>ScheduledExecutorService</code> is to be shut down</dd>
</dl>
</li>
</ul>
<a name="shutdown--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>shutdown</h4>
<pre>public&nbsp;void&nbsp;shutdown()</pre>
<div class="block">Shuts down this trigger and its <code>ScheduledExecutorService</code>. This is
 a shortcut for <code>shutdown(true)</code>.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html#shutdown-boolean-"><code>shutdown(boolean)</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PeriodicReloadingTrigger.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ManagedReloadingDetectorMBean.html" title="interface in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html" target="_top">Frames</a></li>
<li><a href="PeriodicReloadingTrigger.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
